Subject: Re: GNU libtool-2.4.6 released [stable]

From: Václav Zeman <[email-masked]>
Date: Mon, 16 Feb 2015 07:26:40 +0100

On 15 February 2015 at 22:39, Gary V. Vaughan <[email-masked]> wrote:
>
> Libtoolers!
>
> The Libtool Team is pleased to announce the release of libtool 2.4.6.
>
> GNU Libtool hides the complexity of using shared libraries behind a
> consistent, portable interface. GNU Libtool ships with GNU libltdl, which
> hides the complexity of loading dynamic runtime libraries (modules)
> behind a consistent, portable interface.
>
> This is a bugfix release, and a recommended upgrade for all users.  Most
> importantly, it regains most of the speed of 2.4.2 by correcting one of
> two known regressions that were causing noticable slow-down when building
> projects with many source files.
>
> Here are the compressed sources:
>  http://ftpmirror.gnu.org/libtool/libtool-2.4.6.tar.gz   (1.7MB)
>  http://ftpmirror.gnu.org/libtool/libtool-2.4.6.tar.xz   (952KB)
>
> Here are the GPG detached signatures[*]:
>  http://ftpmirror.gnu.org/libtool/libtool-2.4.6.tar.gz.sig
>  http://ftpmirror.gnu.org/libtool/libtool-2.4.6.tar.xz.sig
>
> Use a mirror for higher download bandwidth:
>  http://www.gnu.org/order/ftp.html
>
> [*] Use a .sig file to verify that the corresponding file (without the
> .sig suffix) is intact.  First, be sure to download both the .sig file
> and the corresponding tarball.  Then, run a command like this:
>
>  gpg --verify libtool-2.4.6.tar.gz.sig
>
> If that command fails because you don't have the required public key,
> then run this command to import it:
>
>  gpg --keyserver keys.gnupg.net --recv-keys 151308092983D606
>
> and rerun the 'gpg --verify' command.
>
> This release was bootstrapped with the following tools:
>  Autoconf 2.69
>  Automake 1.15
>  Gnulib v0.1-336-g342d9f0
>
> NEWS
>
> * Noteworthy changes in release 2.4.6 (2015-02-15) [stable]
>
> ** New features:
>
>  - LT_SYS_LIBRARY_PATH can be set in config.site, or at configure time
>    and persists correctly in the generated libtool script.
>
> ** Bug fixes:
>
>  - Fix a race condition in ltdl dryrun test that would cause spurious
>    random failures of that test.
>
>  - LT_SYS_DLSEARCH_PATH is munged correctly.
>
>
> Enjoy!
>

Hi.

I am not seeing .tar.xz distribution in <ftp://ftp.gnu.org/gnu/libtool>.

-- 
VZ